Cyberduck Mountain Duck CLI

#929 closed enhancement (fixed)

Stop all transfers

Reported by: jamescat Owned by: dkocher
Priority: normal Milestone: 2.7
Component: interface Version: 2.6.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I'd like to request a way to stop all transfers at once, rather than having to select each one individually to stop it.

Change History (6)

comment:1 Changed on Oct 18, 2006 at 7:16:10 PM by dkocher

You can press command-A to select all items and then click 'Stop' in the toolbar. Isn't that good enough?

comment:2 Changed on Oct 19, 2006 at 1:07:26 AM by jamescat

It certainly would be... but for me, the stop button is disabled whenever more than one item is selected.

If that doesn't happen for you, can you give me a suggestion of something that might be causing it for me?

comment:3 Changed on Oct 19, 2006 at 1:19:13 AM by jamescat

Oh... Okay, I see now. Sorry, I kept testing it with different combinations of things... just not the right things to figure out the problem until just now.

I just tested it some more, and it seems to be that the stop button is disabled if any transfer in the list is NOT currently running. I.e. If any of my transfers completed before I tried to stop everything, then the button would be disabled. I finally tried it with transfers that were ALL too large to finish in the first few seconds and figured it out.

comment:4 Changed on Oct 20, 2006 at 6:11:15 AM by dkocher

  • Milestone changed from 2.6.5 to 2.6.3
  • Resolution set to wontfix
  • Status changed from new to closed

comment:5 Changed on Oct 23, 2006 at 10:16:55 AM by dkocher

  • Resolution wontfix deleted
  • Status changed from closed to reopened

It should stop the other transfers even when non-running transfers are selected as well.

comment:6 Changed on Oct 23, 2006 at 10:23:29 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Change is part of r2493.

Note: See TracTickets for help on using tickets.
swiss made software